Bug 1271046 - oo-install should set master to scheduleable when user install an all-in-one env
oo-install should set master to scheduleable when user install an all-in-one env
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Samuel Munilla
Ma xiaoqiang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-12 23:13 EDT by Ma xiaoqiang
Modified: 2016-07-03 20:45 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-20 10:41:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ma xiaoqiang 2015-10-12 23:13:30 EDT
Description of problem:
oo-install should set master to scheduleable when user install an all-in-one env


Version-Release number of selected component (if applicable):
oo-install-3.0.3-1.el7aos.noarch

How reproducible:
100%


Steps to Reproduce:
1. run 'oo-install' as following
#oo-install -a openshift-ansible/ -t openshift-enterprise

2. set the master and node on the only server

3. check the schedule for the node on master 

Actual results:
[masters]
10.66.79.193  openshift_ip=192.168.1.192 openshift_public_ip=10.66.79.193 openshift_hostname=master.example-test.com openshift_public_hostname=master.example-test.com

[nodes]
10.66.79.193  openshift_ip=192.168.1.192 openshift_public_ip=10.66.79.193 openshift_hostname=master.example-test.com openshift_public_hostname=master.example-test.com openshift_scheduleable=False

The node on the master is not scheduleable, so the env can not work.


Expected results:
Should set master to scheduleable

Additional info:
Comment 1 Brenton Leanhardt 2015-10-16 14:06:11 EDT
Sam's going to pull this in to some other things he's working on: 

https://github.com/smunilla/openshift-extras/pull/1
Comment 2 Brenton Leanhardt 2015-10-28 11:19:31 EDT
This is available in the latest puddle.  From now on you should test by install atomic-openshift-utils and run atomic-openshift-installer (the renamed oo-install).
Comment 3 Ma xiaoqiang 2015-10-29 01:26:30 EDT
Works fine when install all-in-one env, move it to VERIFIED

Note You need to log in before you can comment on or make changes to this bug.